---------------------------------------------------------------------------------
-- Alumne: Jessica Villamor 
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO DE VIDEOJOCS
---------------------------------------------------------------------------------

-- Procediment Test: Consultar dades per avaluar la dificultat del joc

--
-- Ens situem a l'esquema de la base de dades de Gesti de Videojocs
--
ALTER SESSION SET CURRENT_SCHEMA = PFCBD;

-- Creaci de la definici del paquet
Create or replace
PACKAGE PFCBD.TEST_EST_DIFICULTATJOC AS
		
		PROCEDURE TEST_DIFICULTATJOC;
		
	
END TEST_EST_DIFICULTATJOC;
/

-- Creaci del cos del paquet
CREATE OR REPLACE PACKAGE BODY PFCBD.TEST_EST_DIFICULTATJOC AS
 
    PROCEDURE TEST_DIFICULTATJOC
    IS
		v_resultat PFCBD.LOG.RESULTAT%TYPE;
		v_rs sys_refcursor;
		
		v_nom VARCHAR(255);
		v_total number;
		v_id number;
		v_segid number;
			

    BEGIN

		-- Test CNS_TJUGJOC_NIVELL
		-- PROCEDURE CNS_TJUGJOC_NIVELL(p_rs IN OUT sys_refcursor, p_joc_id IN PFCBD.JOC_NAVEGADORS.JOCS_ID%TYPE, p_rSup IN VARCHAR, p_resultat OUT VARCHAR);

		-- Consulta correcta
		EST_DIFICULTATJOC.CNS_TJUGJOC_NIVELL(v_rs, 1, null, v_resultat);
		FETCH v_rs INTO  v_id, v_nom, v_segid, v_total;
		
		IF v_rs%FOUND  THEN
			DBMS_OUTPUT.put_line ('OK: Consulta amb resultats.');
		ELSE
			DBMS_OUTPUT.put_line ('KO: Consulta sense resultats.');
		END IF;
				
		-- Error: Codi de Joc Buit
		EST_DIFICULTATJOC.CNS_TJUGJOC_NIVELL(v_rs, null, null, v_resultat);

		-- Error: Codi de Joc inexistent
		EST_DIFICULTATJOC.CNS_TJUGJOC_NIVELL(v_rs, 99, null, v_resultat);

		
		-- Test CNS_TJUGJOC_INTXNIV
		-- PROCEDURE CNS_TJUGJOC_INTXNIV(p_rs IN OUT sys_refcursor, p_joc_id IN PFCBD.JOC_NAVEGADORS.JOCS_ID%TYPE, p_resultat OUT VARCHAR);
		EST_DIFICULTATJOC.CNS_TJUGJOC_INTXNIV(v_rs, 1, v_resultat);
		
		FETCH v_rs INTO v_id, v_nom, v_segid, v_total;
	
		IF v_rs%FOUND  THEN
			DBMS_OUTPUT.put_line ('OK: Consulta amb resultats.');
		ELSE
			DBMS_OUTPUT.put_line ('KO: Consulta sense resultats.');
		END IF;
				
		-- Error: Codi de Joc Buit
		EST_DIFICULTATJOC.CNS_TJUGJOC_INTXNIV(v_rs, null, v_resultat);
		
		-- Error: Codi de Joc inexistent
		EST_DIFICULTATJOC.CNS_TJUGJOC_INTXNIV(v_rs, 99, v_resultat);
		
		
		-- Test CNS_TJUGJOC_DIESXNIV
		-- PROCEDURE CNS_TJUGJOC_DIESXNIV(p_rs IN OUT sys_refcursor, p_joc_id IN PFCBD.JOC_NAVEGADORS.JOCS_ID%TYPE, p_resultat OUT VARCHAR);
		EST_DIFICULTATJOC.CNS_TJUGJOC_DIESXNIV(v_rs, 1, v_resultat);
		
		FETCH v_rs INTO v_id, v_nom, v_segid, v_total;

		IF v_rs%FOUND  THEN
			DBMS_OUTPUT.put_line ('OK: Consulta amb resultats.');
		ELSE
			DBMS_OUTPUT.put_line ('KO: Consulta sense resultats.');
		END IF;
				
		-- Error: Codi de Joc Buit
		EST_DIFICULTATJOC.CNS_TJUGJOC_DIESXNIV(v_rs, null, v_resultat);
		
		-- Error: Codi de Joc inexistent
		EST_DIFICULTATJOC.CNS_TJUGJOC_DIESXNIV(v_rs, 99, v_resultat);
	
		
END TEST_DIFICULTATJOC;


END TEST_EST_DIFICULTATJOC;


/
