---------------------------------------------------------------------------------
-- Alumne: Jessica Villamor 
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO DE VIDEOJOCS
---------------------------------------------------------------------------------

-- Creaci Tablespace de la base de dades Transaccional
DROP TABLESPACE TS_PFCBD INCLUDING CONTENTS AND DATAFILES;

CREATE TABLESPACE TS_PFCBD DATAFILE 
  'C:\TSPFC_JESSIKV\TS_PFCBD.ORA' SIZE 100M AUTOEXTEND OFF
LOGGING ONLINE PERMANENT
EXTENT MANAGEMENT LOCAL AUTOALLOCATE
BLOCKSIZE 8K
SEGMENT SPACE MANAGEMENT AUTO;

-- Creaci d'usuari per gestionar la base de dades operacional
DROP USER PFCBD CASCADE;

CREATE USER PFCBD
IDENTIFIED BY PFCBD
DEFAULT TABLESPACE TS_PFCBD
QUOTA UNLIMITED ON TS_PFCBD
TEMPORARY TABLESPACE TEMP;

-- Assignaci de permisos
GRANT CREATE SESSION TO PFCBD;
GRANT CREATE TABLE TO PFCBD;
GRANT CREATE VIEW TO PFCBD;
GRANT CREATE PROCEDURE TO PFCBD;
GRANT CREATE TRIGGER TO PFCBD;
GRANT CREATE SEQUENCE TO PFCBD;
GRANT UPDATE ANY TABLE TO PFCBD;
GRANT INSERT ANY TABLE TO PFCBD;
GRANT SELECT ANY TABLE TO PFCBD;
