---------------------------------------------------------------------------------
-- Alumne: Jessica Villamor 
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO DE VIDEOJOCS
---------------------------------------------------------------------------------

-- Creaci de seqncies i triggers necessaris pels identificadors de les taules

--
-- Ens situem a l'esquema de la base de dades de Gesti de Videojocs
--
ALTER SESSION SET CURRENT_SCHEMA = PFCBD;


-- Taula JOCS
CREATE SEQUENCE SEQ_JOCS INCREMENT BY 1 START WITH 4;

CREATE OR REPLACE TRIGGER INSERIR_ID_JOCS 
	BEFORE INSERT ON JOCS FOR EACH ROW 
BEGIN	
	SELECT SEQ_JOCS.NEXTVAL INTO :NEW.ID 
		from DUAL;
END INSERIR_ID_JOCS;
/


-- Taula NIVELLS
CREATE SEQUENCE SEQ_NIVELLS INCREMENT BY 1 START WITH 20;

CREATE OR REPLACE TRIGGER INSERIR_ID_NIVELLS
	BEFORE INSERT ON NIVELLS FOR EACH ROW
BEGIN	
	SELECT SEQ_NIVELLS.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_NIVELLS;
/

-- Taula PLATAFORMES
CREATE SEQUENCE SEQ_PLATAFORMES INCREMENT BY 1 START WITH 24;

CREATE OR REPLACE 
	TRIGGER INSERIR_ID_PLATAFORMES
	BEFORE INSERT ON PLATAFORMES FOR EACH ROW
BEGIN	
	SELECT SEQ_PLATAFORMES.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_PLATAFORMES;
/

-- Taula NAVEGADORS
CREATE SEQUENCE SEQ_NAVEGADORS INCREMENT BY 1 START WITH 6;

CREATE OR REPLACE 
	TRIGGER INSERIR_ID_NAVEGADORS
	BEFORE INSERT ON  NAVEGADORS  FOR EACH ROW
BEGIN	
	SELECT SEQ_NAVEGADORS.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_NAVEGADORS;
/

-- Taula PRODUCTES
CREATE SEQUENCE SEQ_PRODUCTES INCREMENT BY 1 START WITH 11;

CREATE OR REPLACE 
	TRIGGER INSERIR_ID_PRODUCTES
	BEFORE INSERT ON PRODUCTES FOR EACH ROW
BEGIN	
	SELECT SEQ_PRODUCTES.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_PRODUCTES;
/

-- Taula XARXES_SOCIALS
CREATE SEQUENCE SEQ_XARXES_SOCIALS INCREMENT BY 1 START WITH 5;

CREATE OR REPLACE 
	TRIGGER INSERIR_ID_XARXES_SOCIALS
	BEFORE INSERT ON  XARXES_SOCIALS  FOR EACH ROW
BEGIN	
	SELECT SEQ_XARXES_SOCIALS.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_XARXES_SOCIALS;
/

-- Taula ESTATS
CREATE SEQUENCE SEQ_ESTATS INCREMENT BY 1 START WITH 5;

CREATE OR REPLACE 
	TRIGGER INSERIR_ID_ESTATS
	BEFORE INSERT ON  ESTATS FOR EACH ROW
BEGIN	
	SELECT SEQ_ESTATS.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_ESTATS;
/

-- Taula JUGADORS
CREATE SEQUENCE SEQ_JUGADORS INCREMENT BY 1 START WITH 5;

CREATE OR REPLACE 
	TRIGGER INSERIR_ID_JUGADORS
	BEFORE INSERT ON  JUGADORS  FOR EACH ROW
BEGIN	
	SELECT SEQ_JUGADORS.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_JUGADORS;
/

-- Taula JUGADORS_XARXES
CREATE SEQUENCE SEQ_JUGADORS_XARXES INCREMENT BY 1 START WITH 14;

CREATE OR REPLACE 
	TRIGGER INSERIR_ID_JUGADORS_XARXES
	BEFORE INSERT ON  JUGADORS_XARXES  FOR EACH ROW
BEGIN	
	SELECT SEQ_JUGADORS_XARXES.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_JUGADORS_XARXES;
/

-- Taula AJUDES_NIVELL
CREATE SEQUENCE SEQ_AJUDES_NIVELL INCREMENT BY 1 START WITH 3;

CREATE OR REPLACE 
	TRIGGER INSERIR_ID_AJUDES_NIVELL
	BEFORE INSERT ON  AJUDES_NIVELL  FOR EACH ROW
BEGIN	
	SELECT SEQ_AJUDES_NIVELL.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_AJUDES_NIVELL;
/

-- Taula COLLABORACIONS
CREATE SEQUENCE SEQ_COLLABORACIONS INCREMENT BY 1 START WITH 6;

CREATE OR REPLACE 
	TRIGGER INSERIR_ID_COLLABORACIONS
	BEFORE INSERT ON COLLABORACIONS FOR EACH ROW
BEGIN	
	SELECT SEQ_COLLABORACIONS.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_COLLABORACIONS;
/

-- Taula COMPRES
CREATE SEQUENCE SEQ_COMPRES INCREMENT BY 1 START WITH 6;

CREATE OR REPLACE 
	TRIGGER INSERIR_ID_COMPRES
	BEFORE INSERT ON  COMPRES FOR EACH ROW
BEGIN	
	SELECT SEQ_COMPRES.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_COMPRES;
/

-- Taula PARTIDES
CREATE SEQUENCE SEQ_PARTIDES INCREMENT BY 1 START WITH 26;

CREATE OR REPLACE 
	TRIGGER INSERIR_ID_PARTIDES
	BEFORE INSERT ON  PARTIDES  FOR EACH ROW
BEGIN	
	SELECT SEQ_PARTIDES.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_PARTIDES;
/

-- Taula LOG
CREATE SEQUENCE SEQ_LOG INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE 
	TRIGGER INSERIR_ID_LOG
	BEFORE INSERT ON  LOG  FOR EACH ROW
BEGIN	
	SELECT SEQ_LOG.NEXTVAL INTO :NEW.ID
		from DUAL;
END INSERIR_ID_LOG;
/



