---------------------------------------------------------------------------------
-- Alumne: Jessica Villamor 
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO DE VIDEOJOCS
---------------------------------------------------------------------------------

-- Creaci Tablespace per al Magatzem de dades
DROP TABLESPACE TS_PFCDW INCLUDING CONTENTS AND DATAFILES;

CREATE TABLESPACE TS_PFCDW DATAFILE 
  'C:\TSPFC_JESSIKV\TS_PFCDW.ORA' SIZE 100M AUTOEXTEND OFF
LOGGING ONLINE PERMANENT
EXTENT MANAGEMENT LOCAL AUTOALLOCATE
BLOCKSIZE 8K
SEGMENT SPACE MANAGEMENT AUTO;

-- Creaci d'usuari per gestionar el magatzem de dades
DROP USER PFCDW CASCADE;

CREATE USER PFCDW
IDENTIFIED BY PFCDW
DEFAULT TABLESPACE TS_PFCDW
QUOTA UNLIMITED ON TS_PFCDW
TEMPORARY TABLESPACE TEMP;

-- Assignaci de permisos
GRANT CREATE SESSION TO PFCDW;
GRANT CREATE TABLE TO PFCDW;
GRANT CREATE VIEW TO PFCDW;
GRANT CREATE PROCEDURE TO PFCDW;
GRANT CREATE TRIGGER TO PFCDW;
GRANT CREATE SEQUENCE TO PFCDW;
GRANT UPDATE ANY TABLE TO PFCDW;
GRANT INSERT ANY TABLE TO PFCDW;
GRANT SELECT ANY TABLE TO PFCDW;

