---------------------------------------------------------------------------------
-- Alumne: Jessica Villamor 
-- Consultor: Juan Martnez Bolaos
-- Projecte: GESTIO DE VIDEOJOCS
---------------------------------------------------------------------------------

-- Procediment Test: Consultar dades penetraci joc

--
-- Ens situem a l'esquema de la base de dades de Gesti de Videojocs
--
ALTER SESSION SET CURRENT_SCHEMA = PFCBD;

-- Creaci de la definici del paquet
Create or replace
PACKAGE PFCBD.TEST_EST_PENETRACIOJOC AS
		
		PROCEDURE TEST_PENETRACIOJOC;
		
	
END TEST_EST_PENETRACIOJOC;
/

-- Creaci del cos del paquet
CREATE OR REPLACE PACKAGE BODY PFCBD.TEST_EST_PENETRACIOJOC AS
 
    PROCEDURE TEST_PENETRACIOJOC
    IS
		v_resultat PFCBD.LOG.RESULTAT%TYPE;
		v_rs sys_refcursor;
		
		v_tipologia varchar(10);
		v_CODPAIS VARCHAR(2);
		v_CODPROV number;
		v_CODPOB number;
		v_nom VARCHAR(255);
		v_total number;
		v_sexe VARCHAR(1);
		v_id number;

    BEGIN

		-- Test CNS_TJUGJOC_XZONA
		-- PROCEDURE CNS_TJUGJOC_XZONA(p_rs IN OUT sys_refcursor, p_joc_id IN PFCBD.JOC_NAVEGADORS.JOCS_ID%TYPE, p_resultat OUT VARCHAR);

		-- Consulta correcta
		EST_PENETRACIOJOC.CNS_TJUGJOC_XZONA(v_rs, 1, v_resultat);
		FETCH v_rs INTO  v_tipologia, v_CODPAIS, v_CODPROV, v_CODPOB, v_nom, v_total;

		IF v_rs%FOUND  THEN
			DBMS_OUTPUT.put_line ('OK: Consulta amb resultats.');
		ELSE
			DBMS_OUTPUT.put_line ('KO: Consulta sense resultats.');
		END IF;
				
		-- Error: Codi de Joc Buit
		EST_PENETRACIOJOC.CNS_TJUGJOC_XZONA(v_rs, null, v_resultat);

		-- Error: Codi de Joc inexistent
		EST_PENETRACIOJOC.CNS_TJUGJOC_XZONA(v_rs, 99, v_resultat);

		
		-- Test CNS_TJUGJOC_XSEXE
		-- PROCEDURE CNS_TJUGJOC_XSEXE(p_rs IN OUT sys_refcursor, p_joc_id IN PFCBD.JOC_NAVEGADORS.JOCS_ID%TYPE, p_resultat OUT VARCHAR);
		EST_PENETRACIOJOC.CNS_TJUGJOC_XSEXE(v_rs, 1, v_resultat);
		
		FETCH v_rs INTO v_sexe, v_total;

		IF v_rs%FOUND  THEN
			DBMS_OUTPUT.put_line ('OK: Consulta amb resultats.');
		ELSE
			DBMS_OUTPUT.put_line ('KO: Consulta sense resultats.');
		END IF;
				
		-- Error: Codi de Joc Buit
		EST_PENETRACIOJOC.CNS_TJUGJOC_XSEXE(v_rs, null, v_resultat);
		
		-- Error: Codi de Joc inexistent
		EST_PENETRACIOJOC.CNS_TJUGJOC_XSEXE(v_rs, 99, v_resultat);
		
		
		-- Test CNS_TJUGJOC_XXARSOC
		-- PROCEDURE CNS_TJUGJOC_XXARSOC(p_rs IN OUT sys_refcursor, p_joc_id IN PFCBD.JOC_NAVEGADORS.JOCS_ID%TYPE, p_resultat OUT VARCHAR);
		EST_PENETRACIOJOC.CNS_TJUGJOC_XXARSOC(v_rs, 1, v_resultat);
		
		FETCH v_rs INTO v_id, v_nom, v_total;

		IF v_rs%FOUND  THEN
			DBMS_OUTPUT.put_line ('OK: Consulta amb resultats.');
		ELSE
			DBMS_OUTPUT.put_line ('KO: Consulta sense resultats.');
		END IF;
				
		-- Error: Codi de Joc Buit
		EST_PENETRACIOJOC.CNS_TJUGJOC_XXARSOC(v_rs, null, v_resultat);
		
		-- Error: Codi de Joc inexistent
		EST_PENETRACIOJOC.CNS_TJUGJOC_XXARSOC(v_rs, 99, v_resultat);
		
				
		-- Test CNS_TCOL_MES
		--PROCEDURE CNS_TCOL_MES(p_rs IN OUT sys_refcursor, p_joc_id IN PFCBD.JOC_NAVEGADORS.JOCS_ID%TYPE, p_resultat OUT VARCHAR);
		EST_PENETRACIOJOC.CNS_TCOL_MES(v_rs, 1, v_resultat);
		DBMS_OUTPUT.put_line (v_resultat);

		-- Error: Codi de Joc Buit
		EST_PENETRACIOJOC.CNS_TCOL_MES(v_rs, null, v_resultat);
		
		-- Error: Codi de Joc inexistent
		EST_PENETRACIOJOC.CNS_TCOL_MES(v_rs, 99, v_resultat);
		
		
		-- Test CNS_TCOM_MES
		--PROCEDURE CNS_TCOM_MES(p_rs IN OUT sys_refcursor, p_joc_id IN PFCBD.JOC_NAVEGADORS.JOCS_ID%TYPE, p_resultat OUT VARCHAR);
		EST_PENETRACIOJOC.CNS_TCOM_MES(v_rs, 1, v_resultat);
		DBMS_OUTPUT.put_line (v_resultat);

		-- Error: Codi de Joc Buit
		EST_PENETRACIOJOC.CNS_TCOM_MES(v_rs, null, v_resultat);
		
		-- Error: Codi de Joc inexistent
		EST_PENETRACIOJOC.CNS_TCOM_MES(v_rs, 99, v_resultat);
		
		
		-- Test CNS_TJUGJOC_PLAT_NAV
		-- PROCEDURE CNS_TJUGJOC_PLAT_NAV(p_rs IN OUT sys_refcursor, p_joc_id IN PFCBD.JOC_NAVEGADORS.JOCS_ID%TYPE, p_resultat OUT VARCHAR);
		EST_PENETRACIOJOC.CNS_TJUGJOC_PLAT_NAV(v_rs, 1, v_resultat);
		
		FETCH v_rs INTO v_tipologia, v_id, v_nom, v_total;

		IF v_rs%FOUND  THEN
			DBMS_OUTPUT.put_line ('OK: Consulta amb resultats.');
		ELSE
			DBMS_OUTPUT.put_line ('KO: Consulta sense resultats.');
		END IF;
				
		-- Error: Codi de Joc Buit
		EST_PENETRACIOJOC.CNS_TJUGJOC_PLAT_NAV(v_rs, null, v_resultat);
		
		-- Error: Codi de Joc inexistent
		EST_PENETRACIOJOC.CNS_TJUGJOC_PLAT_NAV(v_rs, 99, v_resultat);
		
		
END TEST_PENETRACIOJOC;


END TEST_EST_PENETRACIOJOC;


/
